<?php

namespace RTMCustomMails\ContextBuilder;

use RTMMailComposer\ContextBuilder\ContextBuilderInterface;
use RTMMailComposer\Model\CustomMail;

abstract class RecipientTypeContextBuilder implements ContextBuilderInterface
{

    public function __construct(protected readonly string $recipientType)
    {

    }

    public function getSubject(): string
    {
        return "recipient/$this->recipientType";
    }
}